.file-selector {
  height: 80px;
  width: 240px;
  max-width: 90vw;
  position: relative;
  cursor: pointer;
}
.file-selector__button {
  width: 100%;
  height: 100%;
  background: linear-gradient(0.45turn, #d4d2d2, #eeeced);
  text-transform: capitalize;
  /* box-shadow: rgba(0, 0, 0, 0.35) 3.95px 3.95px 3.6px, rgba(255, 255, 255, 1) 3.95px 3.95px 3.6px; */
  box-shadow: 3px 3px 8px rgba(0, 0, 0, 0.35),
    -3px -3px 8px rgba(255, 255, 255, 0.6);
  border: none;
  border-radius: 20px;
  font-size: 24px;
}
.file-selector__input:hover + .file-selector__button {
  box-shadow: 3px 3px 8px rgba(0, 0, 0, 0.35),
    -3px -3px 8px rgba(255, 255, 255, 0.8);
  transition: 0.3s all ease-in-out;
}
.file-selector__input {
  background: transparent;
  opacity: 0;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  cursor: pointer;
}
.file-selector__input::-webkit-file-upload-button {
  cursor: pointer;
}

.text {
  background: -webkit-linear-gradient(#ed8c82, #fadde2);
  text-shadow: 1px 1px 2px #f6a7a7, 0 0 1.45px #ed8c82,
    0 0 1.45px rgba(0, 0, 0, 0.25);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.crop__title {
  font-size: 72px;
  font-weight: 200;
  margin: 80px auto 20px;
  text-align: center;
  height: 100px;
}
.crop__modal {
  max-width: 95vw;
  min-height: 95vh;
}
.crop__modal-content {
  height: 95vh;
  border-radius: 16px;
  background: #dedcdd;
}
.crop__modal-content .modal-header h5 {
  font-size: 24px;
  margin-left: 10px;
}
.crop__modal-content .modal-header {
  border-bottom: none;
  color: #949191;
  align-items: center;
}
.crop__modal-content .modal-header .close {
  margin: -1rem !important;
}
.crop__modal-content .modal-header .modal-title {
  flex-grow: 1;
}
.crop__modal-content .modal-footer {
  margin-top: 40px;
  justify-content: center;
}
.crop__action {
  background: linear-gradient(0.45turn, #d4d2d2, #eeeced);
  box-shadow: 3px 3px 8px rgba(0, 0, 0, 0.35),
    -3px -3px 8px rgba(255, 255, 255, 0.6);
  border-radius: 50%;
  padding: 16px;
  color: #949191;
}
.crop__action:focus {
  outline: 0;
  box-shadow: 0 0 2px 3px #f7c4c9;
}
.crop__action:hover {
  color: #ed8c82;
}
.crop__action:first-child {
  margin-right: 20px;
}

.contact-links {
  justify-content: center;
  align-items: center;
  margin-top: 80px;
}
.contact-links a {
  margin: 10px;
  color: #949191;
}
.contact-links a:hover {
  color: #ed8c82;
}

.container-form {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 50px;
  padding-bottom: 0;
}

#result {
  width: 100%;
  text-align: center;
  padding: 20px;
  display: none;
  margin: 0 auto;
}

#crop__result {
  height: 218px;
  border-radius: 12px;
  margin-top: 40px;
  box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 3px, rgba(0, 0, 0, 0.24) 0px 1px 2px;
}

.croppie-container {
  max-height: 100%;
}
.modal-body {
  max-height: calc(100% - 120px) !important;
}

input[type="range"] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background: none;
  grid-area: range;
  width: 100%;
  box-shadow: 0 0 10px transparent;
  height: 30px;
}
input[type="range"]::-webkit-slider-runnable-track {
  display: flex;
  align-items: center;
  height: 20px;
  border-radius: 5px;
  background-image: var(
    --track-background,
    linear-gradient(180deg, #f8d1d9, #ea8a80)
  );
  cursor: ew-resize;
  box-shadow: 1.5px 1.5px 3px rgba(0, 0, 0, 0.25), inset 1.5px 1.5px 3px white;
  border: none;
  border-radius: 6px;
}
input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  position: relative;
  top: -5px;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background: linear-gradient(0.45turn, #d4d2d2, #eeeced);
  box-shadow: 3px 3px 8px rgba(0, 0, 0, 0.35),
    -3px -3px 8px rgba(255, 255, 255, 0.6);
}
input[type="range"]::-moz-range-track {
  -moz-appearance: none;
  display: flex;
  align-items: center;
  height: 20px;
  border-radius: 5px;
  background-image: var(
    --track-background,
    linear-gradient(180deg, #f8d1d9, #ea8a80)
  );
  cursor: ew-resize;
  box-shadow: 1.5px 1.5px 3px rgba(0, 0, 0, 0.25), inset 1.5px 1.5px 3px white;
}
input[type="range"]::-moz-range-thumb {
  position: relative;
  top: -10px;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background: linear-gradient(0.45turn, #d4d2d2, #eeeced);
  box-shadow: 3px 3px 8px rgba(0, 0, 0, 0.35),
    -3px -3px 8px rgba(255, 255, 255, 0.6);
}
